Catmandu::TabularExporter(3pm)

NAME
Catmandu::TabularExporter - base role for tabular exporters like CSV

DESCRIPTION
See Catmandu::Exporter for the base functionality of this role. This role adds some functionality tailored to tabular or columnar exporters.

CONFIGURATION

fields
    The fields to be mapped. Can be an arrayref, example hashref or comma separated string. If missing, the fields of the first record encountered will be used. If "collect_fields" is true, all fields names in the record stream will be collected first.

columns
    Optional custom column labels. Can be an arrayref, example hashref or comma separated string.

collect_fields
    See "fields" for a description. Note that this option will cause all records in the stream to be buffered in memory.

header
    Include a header with column names. Enabled by default.